Package org.eclipse.cdt.utils.debug.stabs

# Class StabsReader

java.lang.Object
org.eclipse.cdt.utils.debug.stabs.StabsReader

All Implemented Interfaces:
  `AutoCloseable`, `ISymbolReader`

public class StabsReader extends Object implements ISymbolReader

## Constructor Summary

Constructors
Constructor
Description
`StabsReader(byte[] data, byte[] stabstr, boolean littleEndian)`
`StabsReader(byte[] data, byte[] stabstr, boolean littleEndian, boolean is64bit)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String[]`
`getSourceFiles()`
`String[]`
`getSourceFiles(org.eclipse.core.runtime.IProgressMonitor monitor)`
Gets the source files from this symbol reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StabsReader

public StabsReader(byte[] data, byte[] stabstr, boolean littleEndian)

### StabsReader

public StabsReader(byte[] data, byte[] stabstr, boolean littleEndian, boolean is64bit)

Since:
  5.2

## Method Details

### getSourceFiles

public String[] getSourceFiles()

Specified by:
  `getSourceFiles` in interface `ISymbolReader`

### getSourceFiles

public String[] getSourceFiles(org.eclipse.core.runtime.IProgressMonitor monitor)
Description copied from interface: `ISymbolReader`
Gets the source files from this symbol reader.

Specified by:
  `getSourceFiles` in interface `ISymbolReader`
Parameters:
  `monitor` - a progress monitor since this may be a lengthly operation
Returns:
  an array of path names to the source files
Since:
  5.2

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ISymbolReader`